function handle = ROCplot(varargin)

if nargin==1
    handle = figure();
    ROC = varargin{1};
elseif nargin==2
    ROC = varargin{1};
    handle = varargin{2};
else
    display('ROCplot: too many arguments')
end

figure(handle)
hold on
title('ROC curve');
plot([0 1],[0 1]);
hold on
plot(1-ROC.specificity,ROC.sensitivity,'k');

xlabel('FPR (1-Specificity)');
ylabel('TPR (Sensitivity)');

hold off