function est = knn(trainSamples,trainClass,testSamples)

k = 5;
[trainSize ndim] = size(trainSamples);

if length(trainClass)~=trainSize
    display('knn: Number of samples in trainset labels is not equal to the number of samples in trainset');
    return
end
if size(testSamples,2)~=ndim
    display('knn: Number of dimensions of trainset is not equal to number of dimensions in testset');
    return
end
    
for i = 1:size(testSamples,1)
    sample = testSamples(i,:);
    dist = sum((repmat(sample,trainSize,1)-trainSamples).^2,2); %euclidean dist^2
    [foo ind] = sort(dist);
    if sum(trainClass(ind(1:k)))>k/2 %if the majority of the nearest k trainSamples are positive
        est(i,1) = 1;
    else
        est(i,1) = 0;
    end
end