function [TPR FPR] = computeTPRFPR(estimates, class)

TP = sum(estimates==1 & class==1);
TN = sum(estimates==0 & class==0);
FP = sum(estimates==1 & class==0);
FN = sum(estimates==0 & class==1);

TPR = TP/(TP+FN);
FPR = FP/(TN+FP);