function est = mahalClass(trainSamples,trainClass,testSamples)

[trainSize ndim] = size(trainSamples);

if length(trainClass)~=trainSize
    display('mahalClass: Number of samples in trainset labels is not equal to the number of samples in trainset');
    return
end
if size(testSamples,2)~=ndim
    display('mahalClass: Number of dimensions of trainset is not equal to number of dimensions in testset');
    return
end

train1 = trainSamples(trainClass==1,:);
train2 = trainSamples(trainClass==0,:);

dist(:,1) = mahal(testSamples,train1);
dist(:,2) = mahal(testSamples,train2);

est = dist(:,1)<dist(:,2);